/*
 Theme Name:     WCFD - PSUOutreachMarketing
 Theme URI:      http://wcfd.psu.edu
 Description:    Child theme using the PSUOutreachMarketing parent theme
 Author:         Penn State Outreach and Online Education
 Author URI:     http://www.outreach.psu.edu
 Template:       PSUOutreachMarketing
 Version:        1.3.2
*/

/** Global */
.nowrap {
  white-space: nowrap;
}

/* Site Title */
#masthead .psu-logo {
  margin-right: 0;
}
#masthead .site-logo a {
  display: block;
  color: #1e407c;
  font-size: 1.25rem;
  font-weight: 600;
}
@media screen and (min-width: 480px) {
  #masthead .site-logo a {
    margin: 21px 0 0;
  }
}
@media screen and (max-width: 479px) {
  #masthead .dual-logos .site-logo {
    margin-left: 78px;
  }
}

/* Make sure call-to-action buttons are same size */
.home .slides li figure figcaption a {
  padding: 14px 18px;
  min-width: 153px;
}
#sidebar-body .all-events-link {
  padding: 10px 0;
}

/* Homepage slider */
.home .slider-banner {
  background-color: #272F42;
}
.home .slides li figure figcaption {
  font-size: 1.625rem;
  font-weight: 600;
  line-height: 1.2;
  max-width: none;
  -webkit-font-smoothing: antialiased;
}
.home .slides li figure figcaption p {
  margin-bottom: 0;
}
.home .slides li figure figcaption a {
  margin-top: 32px;
}
#hero-container .slider-description h4 {
  font-size: 1.5rem;
  color: #ffffff;
}
#hero-container .slider-description p {
  font-size: 1.1rem;
  margin: 1.3rem 0;
}
#hero-container .slider-description a,
#hero-container .slider-description a:visited {
  color: #ffffff;
}
#hero-container .slider-description a:hover {
  text-decoration: none;
}
@media screen and (min-width: 480px) {
  .slides li figure figcaption {
    padding-bottom: 40px;
  }
  .pager {
    bottom: 40px;
  }
}
@media screen and (min-width: 1024px) {
  .home .slides li, .home .slides {
    background-color: transparent;
  }
  .home .slides li figure figcaption {
    font-size: 1.5rem;
  }
  .home .slides li figure figcaption a {
    margin-top: 16px;
  }
  .pager {
    bottom: 16px;
  }
}
@media screen and (min-width: 1232px) {
  .home .slides li figure figcaption a {
    margin-top: 24px;
  }
}

/** Sidebar Widget */
#sidebar-body li.upcoming-courses {
  padding: 1em 0;
}

/** Home Page */
.home .site-main {
  max-width: inherit;
  float: none;
}

.home #main {
  padding: 0;
  background-image: none;
}
.home #primary {
  background-color: #2c76c2;
  padding: 0 16px;
  max-width: inherit;
  margin-top: 0;
}
.home #main {
  padding: 40px 0;
  max-width: 1200px;
  float: none;
  margin: 0 auto;
}
.home #main p {
  margin-top: 0;
}

.home #main h2, 
.home #main p, 
.home #main a, 
.home #main a:visited {
  color: #ffffff;
}
.home #main h2,
.home #sidebar-body .widget h2 {
  margin-top: 0;
  padding-top: 0;
  font-weight: 600;
}
.home .col1-left {
  display: none;
}
.home .col2-right {
  display: block;
  width: 100%;
}
.home #sidebar-body p {
  margin: 0;
}
.home #sidebar-body #upcoming-courses a {
  font-weight: 600;
}
.home #widget-container-full-width-below-body .homepage-body-widget-full-width:nth-child(odd) {
  background-color: #ffffff;
}
.home #widget-container-full-width-below-body .homepage-body-widget-full-width:nth-child(even) {
  background-color: #F2F2F4;
}

/** Upcoming Courses */
.home #sidebar-body {
  width: 100%;
  max-width: inherit;
  margin-left: auto;
  margin-right: auto;
  padding: 40px 16px;
  float: none;
  margin-top: 0;
}
.home #upcoming-courses {
  max-width: 1200px;
  margin: 0 auto;
}
.home #sidebar-body .widget-title {
  font-size: 1.5rem;
  font-weight: 600;
  margin-bottom: 0.5em;
}
.home #sidebar-body ul > li {
  margin-bottom: 1.5em;
  width: 100%;
}
.home #sidebar-body p {
  padding: 0;
  color: #414a5b;
}
.home #sidebar-body .widget h2 {
  background-color: #ffffff;
  color: #414a5b;
  padding-left: 0;
}
.home #sidebar-body .widget h4 {
  line-height: 2.0rem;
}
.home .widget-title {
  margin-top: 0;
}
.home #upcoming-courses {
  padding: 0;
}

.home #upcoming-courses ul li {
  padding: .75em 0 .75em 0;
  margin: 0;
}
.home #sidebar-body .widget li.all-events-link {
  margin: 0;
}

/** Event List */
.event-listing .event-content h2 a {
  border-bottom: 0;
}

/** Single Event */
.event .event-details-before,
.event .event-details-after {
  list-style: none;
  padding-left: 0;
  margin-bottom: 0;
}
.event .event-details-before li,
.event .event-details-after li {
  padding: 0;
}
.event .event-details p {
  margin-top: 0;
}
#primary .event-details p:last-of-type {
  margin-bottom: 1.5rem;
}
.event button {
  margin-top: 1.5rem;
}
#sidebar-body .event-information {
  padding: 0 1.0em;
}
#sidebar-body .widget .event-date {
  font-weight: normal;
}

/** Reduce H3 size on Staff page */
.psu-page-staff h3 {
  font-size: 1.1rem;
  margin: 0;
}

/** Media Queries */
@media screen and (min-width:480px) {
  .site-title a {
    white-space: nowrap;
    font-weight: 400;
  }
}

@media screen and (min-width:640px) {
  .home #upcoming-courses ul li {
    display: inline-block;
    width: 50%;
    vertical-align: top;
  }
  .home #upcoming-courses ul li {
    padding-right:1.75em;
  }
}

@media screen and (min-width:880px) {
  .home #upcoming-courses ul li {
    width: 50%;
  }
}

@media screen and (min-width:1024px) {
  .home #main {
    padding: 60px 0 80px;
  }
  .home #sidebar-body {
    padding: 70px 16px;
  }
  #sidebar-body .event-information {
    padding-left: 0;
  }
  .home #main {
    padding-left: 0;
    padding-right: 0;
    background-image: url('images/lion.png');
    background-size: 34%;
    background-repeat: no-repeat;
    background-position-x: 1.6%;
  }
  .home .col1-left {
    display: inline-block;
    width: 38%;
  }
  .home .col2-right {
    display: inline-block;
    width: 61%;
  }
  .home #upcoming-courses ul li {
    width: 33%;
  }
}

/* Blog */
@media screen and (min-width: 1024px) {
  .category-blog #main,
  .single-post #main {
    float: left;
  }
  .single-post aside,
  .category-blog aside {
    float: right;
  }
}

/* call-out box */
.call-out-box p {
  font-size: 1rem;
}

/* Courses Page */
.page-id-16 .ooe-accordion-wrap .ooe-accordion-button {
  font-size: 1.375rem;

}
.page-id-16 h3 {
  font-size: 1.125rem;
  font-weight: 600;
  margin-top: 1.75em;
}
.page-id-16 .instructor-led h3 {
  font-size: 1.625rem;
  font-weight: 600;
  margin-top: 1em;
}
.page-id-16 .instructor-led h4 {
  font-size: 1.125rem;
  font-weight: 600;
}
.page-id-16 h3 a,
.page-id-16 h4 a {
  text-decoration: none;
}
.page-id-16 h3 a:hover,
.page-id-16 h4 a:hover {
  text-decoration: underline;
}
.page-id-16 .ooe-accordion-body p {
  font-size: 0.875rem;
}

/* Homepage events */
.home #content .homepage-intro-content-wrapper #homepage-intro-sidebar section.widget .widget-title {
  font-weight: 600;
  font-size: 1.375rem;
}
.home .widget_recent-posts-reorder-widget ul li a, .home .widget li.upcoming-training-event .event-title a {
  font-size: 1rem;
}
.home .event-date {
  font-weight: normal;
}

/* Latest Blog Post Widget */
.home .homepage-body-widget-full-width {
  padding: 1px 0 50px;
  overflow: auto;
}
.widget_recent-posts-reorder-widget.homepage-body-widget-full-width .section-content {
  margin: 50px auto 50px;
  display: flow-root;
}
.widget_recent-posts-reorder-widget.homepage-body-widget-full-width .section-content article.hentry {
  padding-bottom: 10px;
}
.widget_recent-posts-reorder-widget .widget-title {
  margin-bottom: 0;
}
.widget_recent-posts-reorder-widget.homepage-body-widget-full-width .featured-image {
  box-sizing: border-box;
  margin-top: 24px;
  width: 100%;
}
.widget_recent-posts-reorder-widget.homepage-body-widget-full-width .index-the-excerpt,
.widget_recent-posts-reorder-widget.homepage-body-widget-full-width .index-the-excerpt p,
.widget_recent-posts-reorder-widget.homepage-body-widget-full-width .subtle-call-to-action-container,
.widget_recent-posts-reorder-widget.homepage-body-widget-full-width a.subtle-call-to-action {
  display: inline;
}
.widget_recent-posts-reorder-widget.homepage-body-widget-full-width a.subtle-call-to-action {
  white-space: nowrap;
}
@media screen and (min-width: 1024px) {
  .widget_recent-posts-reorder-widget.homepage-body-widget-full-width .featured-image {
    float: left;
    max-height: 450px;
    overflow: hidden;
    width: 50%;
    border: 5px solid #272F42;
  }
  .widget_recent-posts-reorder-widget.homepage-body-widget-full-width .article-content, .widget_recent-posts-reorder-widget.homepage-body-widget-full-width .view-more-link {
    float: right;
    width: 45%;
  }
}

/* Gravity Forms */
.widget .gform_wrapper span.gform_description {
  display: block;
  font-size: 0.875rem;
}
.widget .gform_wrapper h2.gform_submission_error.hide_summary {
  font-size: 0.875rem !important;
  padding-left: 0;
}
.widget .gform_wrapper.gravity-theme .gfield {
  margin-top: 0;
}

/* Gravity Form in Constant Contact Footer Widget */
#subscribe-footer .gform_wrapper form input[type="submit"] {
  min-width: 0;
  padding: 0;
  border-radius: 0;
}
#subscribe-footer .gform_wrapper.gravity-theme #field_submit {
  display: block;
}
#subscribe-footer .gform_wrapper #field_1_7 {
  margin: 0;
}
#subscribe-footer .gform_wrapper .gfield_validation_message, #subscribe-footer .gform_wrapper .validation_message {
  background: transparent;
  border: 0;
  text-align: left;
  padding: 0;
  color: #c02b0a;
}